claw::second< T1, T2 > Class Template Reference

Fuction object to get the second element of a std::pair. More...

`#include <functional.hpp>`

Inheritance diagram for claw::second< T1, T2 >:

## Public Member Functions

T2 & | operator() (std::pair< T1, T2 > &p) const

## Detailed Description

template<class T1, class T2>
class claw::second< T1, T2 >

Fuction object to get the second element of a std::pair.

Author
  Julien Jorge

Definition at line 104 of file functional.hpp.

## Member Function Documentation

## operator()()

template<class T1, class T2>

T2 & claw::second< T1, T2 >::operator() | ( | std::pair< T1, T2 > & | p | ) | const

inline

Definition at line 107 of file functional.hpp.

The documentation for this class was generated from the following file:

- functional.hpp